# Uses of Interface
org.opensaml.saml.saml2.core.AssertionIDRef

Packages that use AssertionIDRef
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AssertionIDRef in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type AssertionIDRef
Modifier and Type
Method
Description
`List<AssertionIDRef>`
Advice.`getAssertionIDReferences()`
Gets the list of AssertionID references used as advice.
`List<AssertionIDRef>`
Evidence.`getAssertionIDReferences()`
Gets the list of AssertionID references used as evidence.
`List<AssertionIDRef>`
AssertionIDRequest.`getAssertionIDRefs()`
Gets a list of child `AssertionIDRef`s.

## Uses of AssertionIDRef in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AssertionIDRef
Modifier and Type
Class
Description
`class`
`AssertionIDRefImpl`
Concrete implementation of `AssertionIDRef`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type AssertionIDRef
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionIDRef>`
AssertionIDRequestImpl.`assertionIDRefs`
List of AssertionIDRef child elements.
Methods in org.opensaml.saml.saml2.core.impl that return AssertionIDRef
Modifier and Type
Method
Description
`AssertionIDRef`
AssertionIDRefBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AssertionIDRef`
AssertionIDRefBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AssertionIDRef
Modifier and Type
Method
Description
`List<AssertionIDRef>`
AdviceImpl.`getAssertionIDReferences()`
Gets the list of AssertionID references used as advice.
`List<AssertionIDRef>`
EvidenceImpl.`getAssertionIDReferences()`
Gets the list of AssertionID references used as evidence.
`List<AssertionIDRef>`
AssertionIDRequestImpl.`getAssertionIDRefs()`
Gets a list of child `AssertionIDRef`s.